### Function

# Pango break

#### Declaration [src]

    void
    pango_break (
      const gchar* text,
      int length,
      PangoAnalysis* analysis,
      PangoLogAttr* attrs,
      int attrs_len
    )

#### Description [src]

Determines possible line, word, and character breaks for a string of Unicode text with a single analysis.

For most purposes you may want to use `pango_get_log_attrs()`.

Deprecated since: | 1.44
Use `pango_default_break()` and `pango_tailor_break()`

#### Parameters

`text` | `const gchar*`
| The text to process. Must be valid UTF-8
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`length` | `int`
| Length of `text` in bytes (may be -1 if `text` is nul-terminated)
`analysis` | `PangoAnalysis`
| `PangoAnalysis` structure for `text`.
| The data is owned by the caller of the function.
`attrs` | An array of `PangoLogAttr`
| An array to store character information in.
| The length of the array is specified in the `attrs_len` argument.
| The data is owned by the caller of the function.
`attrs_len` | `int`
| Size of the array passed as `attrs`.